#ifndef POLYNOM_H
#define POLYNOM_H
#define MAXP 30
#include "dinamicmatrix.h"

class polynom
{
private:
    int n;
    int ** index;
public:
    polynom();
    polynom(int m);
    void setComponent( int x, int y,int value);
    int getComponent (int x,int y);
    int getOrder();
    void cleanPolynom();
    void destroyPolynom();
    void addPolynom(polynom * a);
    void copyPolynom(polynom * g);
    void printPolynom();
    void multX();
    void multY();
    void printPolynomInFile(FILE * f);

};

#endif // POLYNOM_H
